form.form(name="MunicipioForm",ng-if="Form")
.row
	.col-md-10
		.panel.panel-primary
			.panel-heading
				.panel-title Formulário
			.panel-body(ng-if="!loading")
				.row
					.col-md-6
						.form-group(ng-class="{'has-error':MunicipioForm.nome.$invalid}")
							label.control-label Nome
							input.form-control(required, ng-minlength="3", name="nome",ng-model="Form.nome",placeholder="Nome do Estado")
							span(class="help-block",ng-if="MunicipioForm.nome.$error.minlength") Mais de 3 caracteres
					.col-md-6
						.form-group(ng-class="{'has-error':MunicipioForm.estado_id.$invalid}")
							label.control-label UF
							select.form-control(ng-options="item.Estado.id as item.Estado.nome for item in Estados", required, name="estado_id",ng-model="Form.estado_id")
								option(value="") Escolha a UF
							span(class="help-block",ng-if="MunicipioForm.estado_id.$error.required") Escolha o Estado
				.row
					.col-md-6
						.form-group(ng-class="{'has-error':MunicipioForm.latitude.$invalid}")
							label.control-label Latitude
							input.form-control(required,name="latitude",ng-model="marker.position[0]",placeholder="Latitude")
							span(class="help-block",ng-if="MunicipioForm.latitude.$error.required") Campo requerido!
					.col-md-6
						.form-group(ng-class="{'has-error':MunicipioForm.longitude.$invalid}")
							label.control-label Longitude
							input.form-control(required,name="longitude",ng-model="marker.position[1]",placeholder="Longitude")
							span(class="help-block",ng-if="MunicipioForm.longitude.$error.required") Campo requerido!
				.row
					.col-md-12
						map.short-map(ng-transclude,center="map.center",zoom="map.zoom",events="map.events", options="map.options")
							marker(position="marker.position", decimals="marker.decimals", options="marker.options")
	.col-md-2
		div()
			button.btn.btn-block.btn-default(ng-click="save()",ng-disabled="MunicipioForm.$invalid") Salvar
			button.btn.btn-block.btn-default(ng-click="cancel()") Cancelar
